> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Delete a segment plan
> Permanently deletes a segment plan by ID. Irreversible. Segment Builder responds 204 No Content on success.
## OpenAPI
````json DELETE /segmentation/delete
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/segmentation/delete": {
"delete": {
"tags": [
"Segmentation"
],
"summary": "Delete a segment plan",
"description": "Permanently deletes a segment plan by ID. Irreversible. Segment Builder responds 204 No Content on success.",
"operationId": "delete",
"parameters": [
{
"name": "id",
"in": "query",
"description": "ID of the plan to delete (GUID).",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "Plan deleted.",
"content": {
"application/json": {}
}
},
"400": {
"description": "bad request",
"content": {
"application/json": {}
}
}
}
}
}
}
}
````